カスタムドメイン
GET https://analytics.ipcidr.com/api/domains/available
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索対象フィールド。許可値:host。 |
| datetime_field | オプション 文字列 | 許可値:datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時以降の結果をフィルター。フォーマット:Y-m-d H:i:s。 |
| datetime_end | オプション 文字列 | この日時までの結果をフィルター。フォーマット:Y-m-d H:i:s。 |
| order_by | オプション 文字列 | 結果の並び替えフィールド。許可値:domain_id, datetime, last_datetime, host。 |
| order_type | オプション 文字列 | 結果の順序。許可値:ASC(昇順)、DESC(降順)。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数。許可値:10, 25, 50, 100, 250, 500, 1000。デフォルトは 25。 |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-04 01:52:24",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/domains/available?page=1",
"last": "https://analytics.ipcidr.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/domains/available?page=1"
}
}
GET https://analytics.ipcidr.com/api/domains/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索対象フィールド。許可値:host。 |
| is_enabled | オプション ブール値 | |
| datetime_field | オプション 文字列 | 許可値:datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時以降の結果をフィルター。フォーマット:Y-m-d H:i:s。 |
| datetime_end | オプション 文字列 | この日時までの結果をフィルター。フォーマット:Y-m-d H:i:s。 |
| order_by | オプション 文字列 | 結果の並び替えフィールド。許可値:domain_id, datetime, last_datetime, host。 |
| order_type | オプション 文字列 | 結果の順序。許可値:ASC(昇順)、DESC(降順)。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数。許可値:10, 25, 50, 100, 250, 500, 1000。デフォルトは 25。 |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-04 01:52:24"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/domains?page=1",
"last": "https://analytics.ipcidr.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/domains?page=1"
}
}
GET https://analytics.ipcidr.com/api/domains/{domain_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-04 01:52:24"
}
}
POST https://analytics.ipcidr.com/api/domains
| パラメーター | 詳細 | 説明 |
|---|---|---|
| host | 必須 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://analytics.ipcidr.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/domains/{domain_id}
| パラメーター | 詳細 | 説明 |
|---|---|---|
| host | オプション 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \